Index: index.xml
===================================================================
--- index.xml	(revision 1cb50dc41566e0d4b383244788b0f1e3626fd291)
+++ index.xml	(revision f54caa7ea694e07eb393797b4e3702d750538d64)
@@ -3,6 +3,6 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20040407">
-<!ENTITY releasedate "April 7th, 2004">
+<!ENTITY version "CVS-20040409">
+<!ENTITY releasedate "April 9th, 2004">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 1cb50dc41566e0d4b383244788b0f1e3626fd291)
+++ introduction/welcome/changelog.xml	(revision f54caa7ea694e07eb393797b4e3702d750538d64)
@@ -12,9 +12,10 @@
 <itemizedlist>
 
-
-<listitem><para>April 6th, 2004 [larry]: Added
+<listitem><para>April 9th, 2004 [igor]: Updated to ALSA-1.0.4.</para></listitem>
+
+<listitem><para>April 8th, 2004 [larry]: Added
 libxklavier-1.00.</para></listitem>
 
-<listitem><para>April 6th, 2004 [larry]: Updated to
+<listitem><para>April 8th, 2004 [larry]: Updated to
 gnome-terminal-2.6.0, gnome-applets-2.6.0, libgtkhtml-2.6.0 and
 yelp-2.6.0.</para></listitem>
Index: multimedia/libdriv/alsa/alsa.ent
===================================================================
--- multimedia/libdriv/alsa/alsa.ent	(revision 1cb50dc41566e0d4b383244788b0f1e3626fd291)
+++ multimedia/libdriv/alsa/alsa.ent	(revision f54caa7ea694e07eb393797b4e3702d750538d64)
@@ -1,4 +1,4 @@
 <!ENTITY alsa SYSTEM "../alsa.xml">
-<!ENTITY alsa-version "1.0.2">
+<!ENTITY alsa-version "1.0.4">
 <!ENTITY alsa-download-http "http://www.alsa-project.org/alsa/ftp">
 <!ENTITY alsa-download-ftp "ftp://ftp.alsa-project.org/pub">
Index: multimedia/libdriv/alsa/driver/alsa-driver.ent
===================================================================
--- multimedia/libdriv/alsa/driver/alsa-driver.ent	(revision 1cb50dc41566e0d4b383244788b0f1e3626fd291)
+++ multimedia/libdriv/alsa/driver/alsa-driver.ent	(revision f54caa7ea694e07eb393797b4e3702d750538d64)
@@ -5,8 +5,8 @@
 <!ENTITY alsa-driver-config SYSTEM "alsa-driver-config.xml">
 <!ENTITY alsa-driver-desc SYSTEM "alsa-driver-desc.xml">
-<!ENTITY alsa-driver-version "&alsa-version;c">
+<!ENTITY alsa-driver-version "&alsa-version;">
 <!ENTITY alsa-driver-download-http "&alsa-download-http;/driver/alsa-driver-&alsa-driver-version;.tar.bz2">
 <!ENTITY alsa-driver-download-ftp "&alsa-download-ftp;/driver/alsa-driver-&alsa-driver-version;.tar.bz2">
-<!ENTITY alsa-driver-size "1.6 MB">
-<!ENTITY alsa-driver-buildsize "30 MB (for all drivers)">
-<!ENTITY alsa-driver-time "1.13 SBU">
+<!ENTITY alsa-driver-size "1.7 MB">
+<!ENTITY alsa-driver-buildsize "32 MB (for all drivers)">
+<!ENTITY alsa-driver-time "1.26 SBU (for all drivers)">
Index: multimedia/libdriv/alsa/firmware/alsa-firmware.ent
===================================================================
--- multimedia/libdriv/alsa/firmware/alsa-firmware.ent	(revision 1cb50dc41566e0d4b383244788b0f1e3626fd291)
+++ multimedia/libdriv/alsa/firmware/alsa-firmware.ent	(revision f54caa7ea694e07eb393797b4e3702d750538d64)
@@ -6,4 +6,4 @@
 <!ENTITY alsa-firmware-download-ftp "&alsa-download-ftp;/firmware/alsa-firmware-&alsa-firmware-version;.tar.bz2">
 <!ENTITY alsa-firmware-size "1007 KB">
-<!ENTITY alsa-firmware-buildsize "5.5 MB">
-<!ENTITY alsa-firmware-time "varies">
+<!ENTITY alsa-firmware-buildsize "5.8 MB">
+<!ENTITY alsa-firmware-time "0.03 SBU">
Index: multimedia/libdriv/alsa/lib/alsa-lib.ent
===================================================================
--- multimedia/libdriv/alsa/lib/alsa-lib.ent	(revision 1cb50dc41566e0d4b383244788b0f1e3626fd291)
+++ multimedia/libdriv/alsa/lib/alsa-lib.ent	(revision f54caa7ea694e07eb393797b4e3702d750538d64)
@@ -7,5 +7,5 @@
 <!ENTITY alsa-lib-download-http "&alsa-download-http;/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
 <!ENTITY alsa-lib-download-ftp "&alsa-download-ftp;/lib/alsa-lib-&alsa-lib-version;.tar.bz2">
-<!ENTITY alsa-lib-size "551 KB">
-<!ENTITY alsa-lib-buildsize "22 MB">
+<!ENTITY alsa-lib-size "560 KB">
+<!ENTITY alsa-lib-buildsize "24 MB">
 <!ENTITY alsa-lib-time "0.41 SBU">
Index: multimedia/libdriv/alsa/oss/alsa-oss.ent
===================================================================
--- multimedia/libdriv/alsa/oss/alsa-oss.ent	(revision 1cb50dc41566e0d4b383244788b0f1e3626fd291)
+++ multimedia/libdriv/alsa/oss/alsa-oss.ent	(revision f54caa7ea694e07eb393797b4e3702d750538d64)
@@ -7,5 +7,5 @@
 <!ENTITY alsa-oss-download-http "&alsa-download-http;/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
 <!ENTITY alsa-oss-download-ftp "&alsa-download-ftp;/oss-lib/alsa-oss-&alsa-oss-version;.tar.bz2">
-<!ENTITY alsa-oss-size "140 KB">
-<!ENTITY alsa-oss-buildsize "1.4 MB">
-<!ENTITY alsa-oss-time "0.04 SBU">
+<!ENTITY alsa-oss-size "156 KB">
+<!ENTITY alsa-oss-buildsize "2.3 MB">
+<!ENTITY alsa-oss-time "0.06 SBU">
Index: multimedia/libdriv/alsa/tools/alsa-tools-intro.xml
===================================================================
--- multimedia/libdriv/alsa/tools/alsa-tools-intro.xml	(revision 1cb50dc41566e0d4b383244788b0f1e3626fd291)
+++ multimedia/libdriv/alsa/tools/alsa-tools-intro.xml	(revision f54caa7ea694e07eb393797b4e3702d750538d64)
@@ -19,5 +19,7 @@
 </para></sect4>
 <sect4><title>Optional</title>
-<para><xref linkend="GTK"/>
+<para>
+<xref linkend="GTK"/> and
+<ulink url="http://www.fltk.org/">FLTK</ulink>
 </para></sect4>
 </sect3>
Index: multimedia/libdriv/alsa/tools/alsa-tools.ent
===================================================================
--- multimedia/libdriv/alsa/tools/alsa-tools.ent	(revision 1cb50dc41566e0d4b383244788b0f1e3626fd291)
+++ multimedia/libdriv/alsa/tools/alsa-tools.ent	(revision f54caa7ea694e07eb393797b4e3702d750538d64)
@@ -6,5 +6,5 @@
 <!ENTITY alsa-tools-download-http "&alsa-download-http;/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
 <!ENTITY alsa-tools-download-ftp "&alsa-download-ftp;/tools/alsa-tools-&alsa-tools-version;.tar.bz2">
-<!ENTITY alsa-tools-size "717 KB">
-<!ENTITY alsa-tools-buildsize "16 MB (to compile all tools)">
-<!ENTITY alsa-tools-time "varies">
+<!ENTITY alsa-tools-size "716 KB">
+<!ENTITY alsa-tools-buildsize "20 MB (to compile all tools)">
+<!ENTITY alsa-tools-time "0.44 SBU (to compile all tools)">
Index: multimedia/libdriv/alsa/utils/alsa-utils.ent
===================================================================
--- multimedia/libdriv/alsa/utils/alsa-utils.ent	(revision 1cb50dc41566e0d4b383244788b0f1e3626fd291)
+++ multimedia/libdriv/alsa/utils/alsa-utils.ent	(revision f54caa7ea694e07eb393797b4e3702d750538d64)
@@ -7,5 +7,5 @@
 <!ENTITY alsa-utils-download-http "&alsa-download-http;/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
 <!ENTITY alsa-utils-download-ftp "&alsa-download-ftp;/utils/alsa-utils-&alsa-utils-version;.tar.bz2">
-<!ENTITY alsa-utils-size "130 KB">
-<!ENTITY alsa-utils-buildsize "2.4 MB">
-<!ENTITY alsa-utils-time "0.06 SBU">
+<!ENTITY alsa-utils-size "140 KB">
+<!ENTITY alsa-utils-buildsize "3.2 MB">
+<!ENTITY alsa-utils-time "0.08 SBU">
